Module ij

# Package ij.macro

package ij.macro

Related Packages
Package
Description
ij
Class
Description
Debugger
ExtensionDescriptor
FunctionFinder
This class implements the text editor's Macros/Find Functions command.
Functions
This class implements the built-in macro functions.
Interpreter
This is the recursive descent parser/interpreter for the ImageJ macro language.
MacroConstants
MacroExtension
MacroRunner
This class runs macros in a separate thread.
Program
An object of this type is a tokenized macro file and the associated symbol table.
StartupRunner
Runs the RunAtStartup (created by Edit/Options/Startup) and AutoRun (in StartupMacros) macros.
Symbol
Objects of this class are used as entries in the macro language symbol table.
Tokenizer
This class converts an imageJ macro file file into a token stream.
Variable